@font-face {
    font-family: Poppins-Regular;
    /* src: url('fuentes/poppins/Poppins-Regular.ttf'); */
    src: url('../fonts/poppins/Poppins-Regular.ttf');
  }

  @font-face {
    font-family: Poppins-Medium;
    src: url('../fonts/poppins/Poppins-Medium.ttf');
  }

  @font-face {
    font-family: Montserrat-Medium;
    src: url('../fonts/montserrat/Montserrat-Medium.ttf');
  }

  @font-face {
    font-family: Montserrat-SemiBold;
    src: url('../fonts/montserrat/Montserrat-SemiBold.ttf');
  }

  *{
      margin: 0px;
      padding: 0px;
      box-sizing: border-box;
  }

  body, html {
      height: 100vh;
      font-family: Poppins-Regular, sans-serif;
  }


  input {
      outline: none;
      border: none;
  }

  button {
      outline: none !important;
      border: none;
      background: transparent;
  }

  button:hover {
      cursor: pointer;
  }

  /*-- contenedor del Login--*/

  .container-login {
    width: 100%;
    min-height: 100vh;
    display: -webkit-flex;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 15px;
    background: -webkit-linear-gradient(to right, #00dbde, #fc00ff);
    background: linear-gradient(to right, #00dbde, #fc00ff);
  }

  .wrap-login {
    width: 40%;
    background: #eceff1;
    border-radius: 20px;
    overflow: hidden;
    padding: 77px 55px 53px 55px;
    -webkit-box-shadow: 25px 40px 28px 0px rgba(0, 0, 0, 0.38);
   /* box-shadow: eje-x | eje-y | blur-radius | color */
  }


  /*----Formulario de user y password----*/

  .login-form {
    width: 100%;
  }

  .login-form-title {
    display: block;
    font-family: Poppins-Bold;
    font-size: 40px;
    color: #333333;
    line-height: 1.5;
    text-align: center;
  }


  /*------------------------------------------------------------------
  [ Input ]*/

  .wrap-input100 {
    width: 100%;
    position: relative;
    border-bottom: 2px solid #adadad;
    margin-bottom: 37px;
  }

  .input100 {
    font-family: Poppins-Regular;
    font-size: 15px;
    color: #89e443;
    line-height: 1.2;

    display: block;
    width: 100%;
    height: 45px;
    background: transparent;
    padding: 0 5px;
  }

  /*---------------------------------------------*/
  .focus-efecto {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    pointer-events: none;
  }

  .focus-efecto::before {
    content: "";
    display: block;
    position: absolute;
    bottom: -2px;
    left: 0;
    width: 0;
    height: 4px; /*ancho de la linea que hace el efecto de barra de progeso en el input al hacer foco*/

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;

    background: #6a7dfe;
    background: -webkit-linear-gradient(left, #21d4fd, #b721ff);
    background: -o-linear-gradient(left, #21d4fd, #b721ff);
    background: -moz-linear-gradient(left, #21d4fd, #b721ff);
    background: linear-gradient(left, #21d4fd, #b721ff);
  }

  .focus-efecto::after {
    font-family: Poppins-Regular;
    font-size: 15px;
    color: #999999;
    line-height: 1.2;

    content: attr(data-placeholder);
    display: block;
    width: 100%;
    position: absolute;
    top: 16px;
    left: 0px;
    padding-left: 5px;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
  }

  .input100:focus + .focus-efecto::after {
    top: -15px;
  }

  .input100:focus + .focus-efecto::before {
    width: 100%;
  }

  .has-val.input100 + .focus-efecto::after {
    top: -15px;
  }

  .has-val.input100 + .focus-efecto::before {
    width: 100%;
  }

  /*---------------------------------------------*/


  /*------------------------------------------------------------------
  [ Button ]*/
  .container-login-form-btn {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 13px;
  }

  .wrap-login-form-btn {
    width: 100%;
    display: block;
    position: relative;
    z-index: 1;
    border-radius: 40px 5px;
    overflow: hidden;
    margin: 0 auto;
  }

  .login-form-bgbtn {
    position: absolute;
    z-index: -1;
    width: 300%;
    height: 100%;
    background: #a64bf4;
    background: -webkit-linear-gradient(right, #21d4fd, #b721ff, #21d4fd, #b721ff);
    background: -o-linear-gradient(right, #21d4fd, #b721ff, #21d4fd, #b721ff);
    background: -moz-linear-gradient(right, #21d4fd, #b721ff, #21d4fd, #b721ff);
    background: linear-gradient(right, #21d4fd, #b721ff, #21d4fd, #b721ff);
    top: 0;
    left: -100%;

    -webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
  }

  .login-form-btn {
    font-family: Poppins-Medium;
    font-size: 20px;
    color: #fff;
    line-height: 1.2;
    text-transform: uppercase;

    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 20px;
    width: 100%;
    height: 50px;
  }

  .wrap-login-form-btn:hover .login-form-bgbtn {
    left: 0;
  }
  .logo_img{
    width: 50%;
    height: auto;
    /* text-align: center;
    display: flex; */
    justify-content: center !important;
    /* align-items: center;
    box-sizing: border-box; */
  }

  @media screen and (max-width:800px) {

    .main {
        width: 100%;
        height: auto;
    }
    aside {
        width: 100%;
        height: auto;
    }
        .wrap-login {
          padding: 77px 15px 33px 15px;
        }
  }
  @media screen and (max-width:450px) {

    .container-login {
        width: 100%;
        height: auto
    }
    .logo_img{
        width: 10%;
        height: auto;
  }}
  @media (min-width: 576px)  {
    .logo_img{
        width: 10%;
        height: 5%;
  }
  }
  @media screen and (max-width:3000px) {

    .login_body {
        width: 100%;
        height: auto
    }
  }


  /*--- Para dispositivos small responsive ---*/

  /* @media (max-width: 576px) {
    .wrap-login {
      padding: 77px 15px 33px 15px;
    }
  } */
  @import url('https://fonts.googleapis.com/css?family=Numans');

  .container{
  height: 100%;
  align-content: center;
  }

  .card{
      height: 100%;
      margin-top: auto;
      margin-bottom: auto;
      width: 550px;
      background-color: rgba(0,0,0,0.5) !important;
  }

  .social_icon span{
  font-size: 60px;
  margin-left: 10px;
  color: #FFC312;
  }

  .social_icon span:hover{
  color: white;
  cursor: pointer;
  }

  .card-header h3{
  color: white;
  }

  .social_icon{
  position: absolute;
  right: 20px;
  top: -45px;
  }

  .input-group-prepend span{
  width: 50px;
  background-color: #FFC312;
  color: black;
  border:0 !important;
  }

  input:focus{
  outline: 0 0 0 0  !important;
  box-shadow: 0 0 0 0 !important;

  }

  .remember{
  color: white;
  }

  .remember input
  {
  width: 20px;
  height: 20px;
  margin-left: 15px;
  margin-right: 5px;
  }

  .login_btn{
  color: black;
  background-color: #FFC312;
  width: 100%;
  }

  .login_btn:hover{
  color: black;
  background-color: white;
  }

  .links{
  color: white;
  }

  .links a{
  margin-left: 4px;
  }

  @media only screen and (max-width: 600px) {
    body {
      background-color: lightblue; /* Aplicará solo desde 0 hasta 600px */
    }
    .logo_img{
        width: 10%;
        height: auto;
        /* text-align: center;
        display: flex; */
        justify-content: center !important;
        /* align-items: center;
        box-sizing: border-box; */
      }
      .card{
        width: 100%;
    }
  }
